package com.czg.market.service;

import com.czg.market.entity.MemberLevelConfig;
import com.czg.market.vo.MemberLevelVO;
import com.mybatisflex.core.service.IService;

import java.util.ArrayList;

/**
 * 会员等级配置 服务层。
 *
 * @author zs
 * @since 2025-09-10
 */
public interface MemberLevelConfigService extends IService<MemberLevelConfig> {

    MemberLevelVO detail(Long memberLevelId);

    ArrayList<MemberLevelVO> listInfo(Long shopId);

    Boolean removeLevel(Long id, Long shopId);
}
